//
//  ImageView.m
//  ImageResizer
//
//  Created by Will Thimbleby on 01/10/2007.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import "ImageView.h"


@implementation ImageView

- (id)initWithFrame:(NSRect)frame {
    self = [super initWithFrame:frame];
    if (self) {
        // Initialization code here.
    }
    return self;
}

- (void)drawRect:(NSRect)rect
{
	[self setFrameSize:NSMakeSize(CGImageGetWidth([document image]), CGImageGetHeight([document image]))];
	CGContextDrawImage([[NSGraphicsContext currentContext] graphicsPort], CGRectMake(0,0, CGImageGetWidth([document image]), CGImageGetHeight([document image])), [document image]);
	
	return;
	NSString *kstr = [NSString stringWithContentsOfFile:[[NSBundle mainBundle] pathForResource:@"sobel" ofType:@"cikernel"]];
	CIKernel *k = [[CIKernel kernelsWithString:kstr] lastObject];
	CIFilter *edges = [CIFilter filterWithName:@"CIEdges"];
	[edges setDefaults];
	[edges setValue:[CIImage imageWithCGImage:[document image]] forKey:@"inputImage"];
	CIFilter *mono = [CIFilter filterWithName:@"CIColorMonochrome"];
	[mono setDefaults];
	//[mono setValue:[edges valueForKey:@"outputImage"] forKey:@"inputImage"];
	[mono setValue:[edges apply:k, [CIImage imageWithCGImage:[document image]], nil] forKey:@"inputImage"];
	[mono setValue:[CIColor colorWithRed:1 green:1 blue:1] forKey:@"inputColor"];
	[[[NSGraphicsContext currentContext] CIContext] drawImage:[mono valueForKey:@"outputImage"] atPoint:CGPointMake(0, 0) fromRect:CGRectMake(0, 0, CGImageGetWidth([document image]), CGImageGetHeight([document image]))];
}

@end
