//
//  MyDocument.h
//  ImageResizer
//
//  Created by Will Thimbleby on 01/10/2007.
//  Copyright __MyCompanyName__ 2007 . All rights reserved.
//


#import <Cocoa/Cocoa.h>
#import <Quartz/Quartz.h>
#import <QuartzCore/QuartzCore.h>
#import "Profile.h"

@class ImageView;

@interface MyDocument : NSDocument
{
	CGImageRef mImage, sImage;
    CFDictionaryRef mMetadata;
	IBOutlet ImageView *imgView;
	IBOutlet NSButton *resizeButton;
	IBOutlet NSForm *targets;
	
	
	int rowBytes, width, height;
	unsigned char *sBuffer;
	float *pBuffer;
	unsigned char *eBuffer;
	CGContextRef sContext, eContext;
	
	int targetWidth, targetHeight;
}
- (CGImageRef)image;

- (IBAction)shrink:(id)s;
- (void)shrinkVertically;
- (void)shrinkHorizontally;
@end
